> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create templates.

> 
    ROLES: AUTOMATION_ADMIN
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml post /api/v1/automation/template
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/automation/template:
    post:
      tags:
        - Automation
      summary: Create templates.
      description: |2-

            ROLES: AUTOMATION_ADMIN
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: AutomationController_createTemplate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JobTemplateRequestDto'
      responses:
        '201':
          description: Job scheduled.
        '403':
          description: Forbidden.
        '404':
          description: Not found.
      security:
        - bearer: []
components:
  schemas:
    JobTemplateRequestDto:
      type: object
      properties:
        name:
          type: string
          description: Name.
        category:
          type: string
          description: Category.
        desc:
          type: string
          description: Description.
        componentId:
          type: string
          description: Component identifier.
        componentVersion:
          type: number
          description: >-
            Component version, if left empty it will use latest component
            version).
        triggerUser:
          type: string
          description: Invoke job on behalf of specific account.
        inputs:
          type: object
        options:
          description: Options.
          allOf:
            - $ref: '#/components/schemas/RunOptionsDto'
      required:
        - name
    RunOptionsDto:
      type: object
      properties:
        skipLibs:
          type: boolean
        legacyResults:
          type: boolean
        hideRequest:
          type: boolean
        hideResponse:
          type: boolean
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````